﻿using Syncfusion.JavaScript.Web;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace TestGrid
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        List<Person> Persons = new List<Person>();
        List<Country> country = new List<Country>();
        protected void Page_Load(object sender, EventArgs e)
        {
           

            BindDataSource();
        }
        private void BindDataSource()
        {


            List<Address> adrs1 = new List<Address>();
            adrs1.Add(new Address() { Address1 = "No: 417", Address2 = "1st street", City = "Aurora", Country = "Arapahoe", Zip = "80010" });
            List<Address> adrs2 = new List<Address>();
            adrs2.Add(new Address() { Address1 = "No: 378", Address2 = "3rd cross street", City = "Austin", Country = "Travis", Zip = "78701" });
            List<Address> adrs3 = new List<Address>();
            adrs3.Add(new Address() { Address1 = "No: 195", Address2 = "7th golden street", City = "Sandy", Country = "Salt Lake", Zip = "84070" });

            country.Add(new Country() { CountryID = 1, CountryDescription = adrs1[0].Country });
            country.Add(new Country() { CountryID = 2, CountryDescription = adrs2[0].Country });
            country.Add(new Country() { CountryID = 3, CountryDescription = adrs3[0].Country });


            Persons.Add(new Person() { ID = 1001, FirstName = "John", LastName = "Beckett", Addresses = adrs1 });
            Persons.Add(new Person() { ID = 1002, FirstName = "Ben", LastName = "Smith", Addresses = adrs2 });
            Persons.Add(new Person() { ID = 1003, FirstName = "Andrew", LastName = "Fuller", Addresses = adrs3 });

            this.Grid.Columns[3].DataSource = country;
            this.Grid.DataSource = Persons;
            this.Grid.DataBind();
        }

        [Serializable]
        public class Person
        {
            public Person()
            {

            }
            public Person(int id, string firstName, string lastName, List<Address> address)
            {
                this.ID = id;
                this.FirstName = firstName;
                this.LastName = lastName;
                this.Addresses = address;
            }
            public int ID { get; set; }
            public string FirstName { get; set; }
            public string LastName { get; set; }
            public List<Address> Addresses { get; set; }
        }
        [Serializable]
        public class Address
        {
            public string Address1 { get; set; }
            public string Address2 { get; set; }
            public string City { get; set; }
            public string Country { get; set; }
            public string Zip { get; set; }
        }

        [Serializable]
        public class Country
        {
            public Country()
            {
            }
            public Country(int id, string description)
            {
                this.CountryID = id;
                this.CountryDescription = description;
            }
            public int CountryID { get; set; }
            public string CountryDescription { get; set; }
        }

    }
}